import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { SdLabelDefDirective } from '@sd-angular/core/common';
export declare class SdSelectBadge {
    #private;
    private ref;
    selectbadge: ElementRef<HTMLDivElement>;
    selectedItem: any;
    label: string;
    placeholder: string;
    value: string;
    set model(val: any);
    items: any[];
    set _items(items: any[]);
    valueField: string;
    displayField: string;
    iconField: string;
    iconColorField: string;
    descriptionField: string;
    modelChange: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    sdSelection: EventEmitter<{
        value: any | any[];
        item?: any;
        items?: any[];
    }>;
    sdLabelDef: SdLabelDefDirective;
    isShowContent: boolean;
    clickout(event: any): void;
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    onToogle: () => void;
    onModelChange: (val: any) => void;
    onSelected(item?: any): void;
}
